Bug 179320 - net-im/mikutter: first start fails, needs to be updated
Summary: net-im/mikutter: first start fails, needs to be updated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-05 04:40 UTC by Koichiro Iwao
Modified: 2013-06-23 13:45 UTC (History)
0 users

See Also:


Attachments
mikutter-0.2.2.1264_patch.txt (20.46 KB, text/plain; charset=US-ASCII)
2013-06-12 05:05 UTC, Koichiro IWAO
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2013-06-05 04:40:00 UTC
First start of net-im/mikutter fails because of twitter's server side changes.

Fix: 

Fixed in the newer version of mikutter.
How-To-Repeat: Delete or rename ~/.mikutter directory to reproduce first start.
  $ mv ~/.mikutter ~/.mikutter.bak
Then start mikutter, it fails.
  $ mikutter 
/usr/local/lib/ruby/1.9/net/http.rb:2633:in `error!': 301 "Moved Permanently" (Net::HTTPRetriableError)
	from /usr/local/lib/ruby/gems/1.9/gems/oauth-0.4.7/lib/oauth/consumer.rb:213:in `token_request'
	from /usr/local/lib/ruby/gems/1.9/gems/oauth-0.4.7/lib/oauth/consumer.rb:136:in `get_request_token'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/lib/mikutwitter/connect.rb:27:in `request_oauth_token'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/plugin/change_account.rb:71:in `main'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/plugin/change_account.rb:28:in `_popup'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/plugin/change_account.rb:7:in `block in popup'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/plugin/gtk/delayer.rb:14:in `event_lock'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/plugin/change_account.rb:7:in `popup'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/lib/mikutwitter/authentication_failed_action.rb:44:in `call'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/lib/mikutwitter/authentication_failed_action.rb:44:in `block in authentication_failed_action'
	from <internal:prelude>:10:in `synchronize'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/lib/mikutwitter/authentication_failed_action.rb:42:in `authentication_failed_action'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/service.rb:50:in `initialize'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/service.rb:23:in `new'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/service.rb:23:in `services_refresh'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/service.rb:28:in `all'
	from /usr/local/lib/ruby/site_ruby/1.9/mikutter/core/service.rb:33:in `primary'
	from /usr/local/bin/mikutter:33:in `<main>'
Comment 1 Edwin Groothuis freebsd_committer 2013-06-05 04:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-23 13:34:50 UTC
Author: tota
Date: Sun Jun 23 12:34:33 2013
New Revision: 321632
URL: http://svnweb.freebsd.org/changeset/ports/321632

Log:
  - Update net-im/mikutter to 0.2.2.1264 [1]
    * Convert NOPORTDOCS to PORT_OPTIONS:MDOCS [1]
    * Remove LICENSE_FILE for standard license
    * Remove INSTALL_DEPENDS
    * Make use of rubygem ports instead of ruby- prefix ports
    * Update the restriction of Ruby version
    * Cleanup post-patch target
  - Remove net-im/mikutter003 [2]
    * Consider using net-im/mikutter
    * Add an entry to UPDATING
  
  PR:		ports/179320 (based on) [1]
  PR:		ports/179504 (based on) [2]
  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp> [1][2]

Deleted:
  head/net-im/mikutter003/
Modified:
  head/MOVED
  head/UPDATING
  head/net-im/Makefile
  head/net-im/mikutter/Makefile
  head/net-im/mikutter/distinfo
  head/net-im/mikutter/files/patch-mikutter.rb
  head/net-im/mikutter/pkg-plist

Modified: head/MOVED
==============================================================================
--- head/MOVED	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/MOVED	Sun Jun 23 12:34:33 2013	(r321632)
@@ -4398,3 +4398,4 @@ databases/py-MySQLdb41||2013-06-19|Depen
 databases/py-MySQLdb50||2013-06-19|Depends on databases/mysql50-client, which was removed
 emulators/fceu-server|emulators/fceux|2013-06-21|Has expired: Replaced by emulators/fceux
 graphics/py-graphillion|math/py-graphillion|2013-06-22|Correct category assignment
+net-im/mikutter003||2013-06-23|Obsolete: Use net-im/mikutter instead of this

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/UPDATING	Sun Jun 23 12:34:33 2013	(r321632)
@@ -6,6 +6,19 @@ You should get into the habit of checkin
 you update your ports collection, before attempting any port upgrades.
 
 20130623:
+  AFFECTS: users of net-im/mikutter003
+  AUTHOR: tota@FreeBSD.org
+
+  net-im/mikutter003 has been removed from the ports tree because the
+  Twitter API version 1.0 was deprecated on 2013-05-07 and mikutter003,
+  which uses the API 1.0, won't work.
+  Please consider using net-im/mikutter instead of this.
+
+  1. deinstall mikutter003
+  2. upgrade Ruby to 1.9( or later) (see the entry 20130527)
+  3. install net-im/mikutter
+
+20130623:
   AFFECTS: users of www/magento
   AUTHOR: melvyn@magemana.nl
 

Modified: head/net-im/Makefile
==============================================================================
--- head/net-im/Makefile	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/net-im/Makefile	Sun Jun 23 12:34:33 2013	(r321632)
@@ -88,7 +88,6 @@
     SUBDIR += meanwhile
     SUBDIR += mercury
     SUBDIR += mikutter
-    SUBDIR += mikutter003
     SUBDIR += msn-proxy
     SUBDIR += mu-conference
     SUBDIR += naim

Modified: head/net-im/mikutter/Makefile
==============================================================================
--- head/net-im/mikutter/Makefile	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/net-im/mikutter/Makefile	Sun Jun 23 12:34:33 2013	(r321632)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mikutter
-PORTVERSION=	0.2.0.1089
+PORTVERSION=	0.2.2.1264
 CATEGORIES=	net-im ruby
 MASTER_SITES=	http://mikutter.hachune.net/bin/ \
 		LOCAL
@@ -13,33 +13,26 @@ MAINTAINER=	tota@FreeBSD.org
 COMMENT=	Simple, powerful, and moeful Twitter client
 
 LICENSE=	GPLv3
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
-INSTALL_DEPENDS=	${RUBY_SITEARCHLIBDIR}/gtk2.so:${PORTSDIR}/x11-toolkits/ruby-gtk2
-RUN_DEPENDS=	${RUBY_SITEARCHLIBDIR}/gtk2.so:${PORTSDIR}/x11-toolkits/ruby-gtk2 \
-		${RUBY_SITEARCHLIBDIR}/cairo.so:${PORTSDIR}/graphics/ruby-cairo \
+RUN_DEPENDS=	rubygem-gtk2>=1.5.0:${PORTSDIR}/x11-toolkits/rubygem-gtk2 \
+		graphics/rubygem-cairo>=1.10.0:${PORTSDIR}/graphics/rubygem-cairo \
 		rubygem-addressable>=2.2.7:${PORTSDIR}/www/rubygem-addressable \
-		${RUBY_PKGNAMEPREFIX}hmac>=0.4.0:${PORTSDIR}/security/ruby-hmac \
-		rubygem-json_pure>=0:${PORTSDIR}/devel/rubygem-json_pure \
+		rubygem-hmac>=0.4.0:${PORTSDIR}/security/rubygem-hmac \
+		rubygem-json>=1.8.0:${PORTSDIR}/devel/rubygem-json \
 		${RUBY_SITELIBDIR}/memoize.rb:${PORTSDIR}/devel/ruby-memoize \
-		rubygem-oauth>=0:${PORTSDIR}/net/rubygem-oauth \
+		rubygem-oauth>=0.4.7:${PORTSDIR}/net/rubygem-oauth \
 		${RUBY_SITELIBDIR}/bsearch.rb:${PORTSDIR}/devel/ruby-bsearch \
 		rubygem-typed-array>=0.1.2:${PORTSDIR}/devel/rubygem-typed-array
 
 WRKSRC=	${WRKDIR}/${PORTNAME}
 
 USE_RUBY=	yes
-RUBY_VER=	1.9
 NO_BUILD=	yes
 
-CONFLICTS=	mikutter-0.0.3.*
-
+RUBY_REQUIRE=	Ruby >= 193
 RUBY_SHEBANG_FILES=	mikutter.rb \
-			core/autotag.rb \
-			core/chi.rb \
-			core/initialize.rb \
-			core/lib/piapro.rb \
-			core/miku/miku.rb
+			core/miku/miku.rb \
+			devel/makechi.rb
 
 SUB_FILES=	mikutter.desktop
 SUB_LIST=	RUBY_SITELIBDIR=${RUBY_SITELIBDIR}
@@ -54,8 +47,8 @@ OPTIONS_DEFAULT=	${OPTIONS_DEFINE}
 
 .include <bsd.port.pre.mk>
 
-.if ${RUBY_DEFAULT_VER} != ${RUBY_VER}
-IGNORE=	requires RUBY_DEFAULT_VER=${RUBY_VER}
+.if !defined(RUBY_PROVIDED)
+IGNORE=	requires Ruby 1.9.3 or later
 .endif
 
 .if ${PORT_OPTIONS:MHTTPCLIENT}
@@ -69,29 +62,18 @@ RUN_DEPENDS+=	notify-send:${PORTSDIR}/de
 post-patch:
 	@${REINPLACE_CMD} -i '' -e "s|%%RUBY_SITELIBDIR%%|${RUBY_SITELIBDIR}|" \
 		${WRKSRC}/mikutter.rb
-	@${RM} -rf ${WRKSRC}/core/lib/json*
-	@${RM} -rf ${WRKSRC}/core/lib/oauth*
-	@${RM} -rf ${WRKSRC}/core/lib/ruby-bsearch-1.5
-	@${RM} -rf ${WRKSRC}/vendor/addressable
-	@${RM} -rf ${WRKSRC}/vendor/bsearch*
-	@${RM} -rf ${WRKSRC}/vendor/hmac*
-	@${RM} -rf ${WRKSRC}/vendor/json*
-	@${RM} -rf ${WRKSRC}/vendor/memoize.rb
-	@${RM} -rf ${WRKSRC}/vendor/oauth*
-	@${RM} -rf ${WRKSRC}/vendor/ruby-bsearch-1.5
-	@${RM} -rf ${WRKSRC}/vendor/typed-array*
+	@${RM} -r ${WRKSRC}/vendor
 
 do-install:
-	@${INSTALL_SCRIPT} ${INSTALL_WRKSRC}/mikutter.rb ${PREFIX}/bin/mikutter
-	@cd ${INSTALL_WRKSRC} \
+	${INSTALL_SCRIPT} ${INSTALL_WRKSRC}/mikutter.rb ${PREFIX}/bin/mikutter
+	cd ${INSTALL_WRKSRC} \
 		&& ${COPYTREE_SHARE} core ${RUBY_SITELIBDIR}/mikutter \
-		&& ${COPYTREE_SHARE} plugin ${RUBY_SITELIBDIR}/mikutter \
-		&& ${COPYTREE_SHARE} vendor ${RUBY_SITELIBDIR}/mikutter
+		&& ${COPYTREE_SHARE} plugin ${RUBY_SITELIBDIR}/mikutter
 	@${MKDIR} ${PREFIX}/share/applications
-	@${INSTALL_DATA} ${WRKDIR}/${SUB_FILES} ${PREFIX}/share/applications/
-.if !defined(NOPORTDOCS)
+	${INSTALL_DATA} ${WRKDIR}/${SUB_FILES} ${PREFIX}/share/applications/
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${INSTALL_WRKSRC}/${PORTDOCS} ${DOCSDIR}
+	${INSTALL_DATA} ${INSTALL_WRKSRC}/${PORTDOCS} ${DOCSDIR}
 .endif
 
 x-generate-plist:

Modified: head/net-im/mikutter/distinfo
==============================================================================
--- head/net-im/mikutter/distinfo	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/net-im/mikutter/distinfo	Sun Jun 23 12:34:33 2013	(r321632)
@@ -1,2 +1,2 @@
-SHA256 (mikutter.0.2.0.1089.tar.gz) = 9f2ca9c1664a0f173b1da869183a7a0054d94661ecda754b4785431be242b5e0
-SIZE (mikutter.0.2.0.1089.tar.gz) = 2219213
+SHA256 (mikutter.0.2.2.1264.tar.gz) = 02b3e5d301a8d82f9951c60df2f76a839353a14a6c30f37289563a7eb541b2b5
+SIZE (mikutter.0.2.2.1264.tar.gz) = 2318031

Modified: head/net-im/mikutter/files/patch-mikutter.rb
==============================================================================
--- head/net-im/mikutter/files/patch-mikutter.rb	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/net-im/mikutter/files/patch-mikutter.rb	Sun Jun 23 12:34:33 2013	(r321632)
@@ -1,15 +1,11 @@
---- mikutter.rb.orig	2012-10-23 09:12:05.000000000 +0900
-+++ mikutter.rb	2012-12-02 09:51:43.000000000 +0900
-@@ -12,11 +12,7 @@
+--- mikutter.rb.orig	2013-06-12 02:55:23.699616516 +0000
++++ mikutter.rb	2013-06-12 02:58:14.554656063 +0000
+@@ -11,7 +11,7 @@
+ You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
  
  =end
+-mikutter_directory = File.expand_path(File.dirname(__FILE__))
++mikutter_directory = '%%RUBY_SITELIBDIR%%/mikutter'
  
--if File.symlink?($0)
--  Dir.chdir(File.join(File.dirname(File.readlink($0)), 'core'))
--else
--  Dir.chdir(File.join(File.dirname($0), 'core'))
--end
-+Dir.chdir('%%RUBY_SITELIBDIR%%/mikutter/core')
- 
- Thread.abort_on_exception = true
- ENV['LIBOVERLAY_SCROLLBAR'] = '0'
+ begin
+   ENV['BUNDLE_GEMFILE'] = File.expand_path(File.join(File.dirname($0), "Gemfile"))

Modified: head/net-im/mikutter/pkg-plist
==============================================================================
--- head/net-im/mikutter/pkg-plist	Sun Jun 23 12:28:45 2013	(r321631)
+++ head/net-im/mikutter/pkg-plist	Sun Jun 23 12:34:33 2013	(r321632)
@@ -1,22 +1,23 @@
 bin/mikutter
-%%RUBY_SITELIBDIR%%/mikutter/core/autotag.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/boot/check_config_permission.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/boot/load_plugin.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/boot/mainloop.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/boot/option.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/boot/shell/generate.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/boot/shell/spec.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/chi.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/config.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/configloader.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/delayer.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/entity.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/environment.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/image.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/initialize.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/event.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/event_filter.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/event_listener.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/deferred.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/deferred/deferred.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/deferred/deferredable.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/deferred/test.deferred.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/lib/instance_storage.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/lazy.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/api_call_support.rb
@@ -31,6 +32,7 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/rate_limiting.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/streaming_failed_actions.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/154380989328662530.json
+%%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/extension.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/friendship.json
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/list_member.json
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/list_member_1380555359495881433.json
@@ -48,11 +50,9 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/test_cache.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/test_query.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/test_streaming_failed_actions.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/test_unauthorized.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/test_utils.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/user.json
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test/user_timeline.json
-%%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/unauthorized.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/utils.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/piapro.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/lib/reserver.rb
@@ -81,6 +81,7 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/miku/symboltable.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/miku/yamlisp.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/miquire.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/miquire_plugin.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/cairo_cell_renderer_message.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/cairo_coordinate_module.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/cairo_icon_over_button.rb
@@ -97,7 +98,9 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/cairo_timeline.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_contextmenu.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_crud.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_dark_matter_prification.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_extension.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_inneruserlist.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_intelligent_textview.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_keyconfig.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_listlist.rb
@@ -106,7 +109,6 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_postbox.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_pseudo_signal_handler.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_selectbox.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_skin.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_timeline_utils.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_tree_view_pretty_scroll.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_userlist.rb
@@ -117,6 +119,8 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/mui/gtk_webicon.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/ChangeLog
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/achievement/achievement.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/achievement/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/activity/activity.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/activity/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/alsa/alsa.rb
@@ -141,15 +145,22 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/direct_message/sender.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/direct_message/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/direct_message/userlist.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/display_requirements/display_requirements.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/display_requirements/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/extract/extract.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/extract/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/followingcontrol/followingcontrol.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/followingcontrol/spec
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/Gemfile
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/delayer.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/gtk.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/mainloop.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/mikutter_window.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/slug_dictionary.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/tab_container.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/tab_toolbar.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk/toolbar_generator.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/command.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/cuscadable.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/dsl.rb
@@ -163,6 +174,7 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/tab.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/tab_child_widget.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/tab_toolbar.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/tablike.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/test/test_cuscadable.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gui/test/test_dsl.rb
@@ -191,6 +203,8 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/profile/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/proxy/proxy.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/proxy/spec
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/ratelimit/ratelimit.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/ratelimit/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/rest/rest.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/rest/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/saved_search/saved_search.rb
@@ -208,9 +222,12 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/settings/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/settings/test_listener.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/shortcutkey/shortcutkey.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/shortcutkey/shortcutkey_listview.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/shortcutkey/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/smartthread/smartthread.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/smartthread/spec
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/sound/sound.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/plugin/sound/spec
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/streaming/filter.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/streaming/parma_streamer.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/plugin/streaming/spec
@@ -224,18 +241,22 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/retriever.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/serialthread.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/service.rb
+%%RUBY_SITELIBDIR%%/mikutter/core/skin.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/arrow_followed.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/arrow_following.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/arrow_notfollowed.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/arrow_notfollowing.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/close.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/console.png
+%%RUBY_SITELIBDIR%%/mikutter/core/skin/data/copy.png
+%%RUBY_SITELIBDIR%%/mikutter/core/skin/data/copy_all.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/directmessage.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/etc.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/fav.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/followers.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/followings.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/icon.png
+%%RUBY_SITELIBDIR%%/mikutter/core/skin/data/icon_alternative.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/list.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/loading.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/notfound.png
@@ -244,6 +265,7 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/post.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/reply.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/retweet.png
+%%RUBY_SITELIBDIR%%/mikutter/core/skin/data/retweet_cancel.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/savedsearch.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/search.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/settings.png
@@ -271,18 +293,6 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/timeline.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/underconstruction.png
 %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/unfav.png
-%%RUBY_SITELIBDIR%%/mikutter/core/test/icon_test.png
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_cairo_markup_generator.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_cairo_textselector.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_entity.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_gtk_webicon.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_message.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_messageconverters.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_miquire.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_retriever.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_userlist.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_utils.rb
-%%RUBY_SITELIBDIR%%/mikutter/core/test/test_web_image_loader.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/user.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/userconfig.rb
 %%RUBY_SITELIBDIR%%/mikutter/core/userlist.rb
@@ -290,9 +300,7 @@ bin/mikutter
 %%RUBY_SITELIBDIR%%/mikutter/plugin/WHATSTHIS
 share/applications/mikutter.desktop
 @dirrmtry share/applications
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/vendor
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/plugin
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/test
+@dirrmtry %%RUBY_SITELIBDIR%%/mikutter/plugin
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/sounds/sources/retweeted_data/e00/d00
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/sounds/sources/retweeted_data/e00
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/skin/data/sounds/sources/retweeted_data
@@ -302,12 +310,14 @@ share/applications/mikutter.desktop
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/skin
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/tco
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/streaming
+@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/sound
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/smartthread
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/shortcutkey
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/settings
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/search
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/saved_search
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/rest
+@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/ratelimit
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/proxy
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/profile
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/openimg
@@ -321,7 +331,7 @@ share/applications/mikutter.desktop
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/gtk
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/followingcontrol
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/extract
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/directmessage
+@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/display_requirements
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/direct_message
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/console
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/command
@@ -329,34 +339,17 @@ share/applications/mikutter.desktop
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/aspectframe
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/alsa
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/activity
+@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin/achievement
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/plugin
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/mui
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/miku
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/typed-array
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/timelimitedqueue/test
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/timelimitedqueue
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter/test
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/mikutwitter
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/deferred
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/addressable/idna
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib/addressable
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/lib
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/boot/shell
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core/boot
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/tco
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/streaming
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/settings
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/rest
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/proxy
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/openimg
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/list
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/libnotify
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/image_file_cache
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/directmessage
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/bitly
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/aspectframe
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/alsa
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon/activity
-@dirrm %%RUBY_SITELIBDIR%%/mikutter/core/addon
 @dirrm %%RUBY_SITELIBDIR%%/mikutter/core
 @dirrm %%RUBY_SITELIBDIR%%/mikutter
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 TAKATSU Tomonari freebsd_committer 2013-06-23 13:44:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!